> ## Documentation Index
> Fetch the complete documentation index at: https://doc.withedge.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Close/Re-Open Account

> This endpoint is used to send a request to close or re-open a customer's account.

# Close/Re-Open Account

Use this endpoint to close or re-open a customer's account by specifying the **close** parameter.

***

## Additional Information

<Info>
  * When the **close** field is passed as `true`, the account will be closed, updating the status to **closed**.
  * When the **close** field is passed as `false`, the account status will be reverted to **active**.
</Info>

***

## Request Parameters

<ParamField header="requestId" type="string" required>
  A unique identifier for the request, used for idempotency.\
  **Example:** `e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9`
</ParamField>

<ParamField body="accountNumber" type="string" required>
  The customer's account number.\
  **Example:** `5118745523`
</ParamField>

<ParamField body="reason" type="string" required>
  The reason for the request.\
  **Example:** `Customer requested account closure`
</ParamField>

<ParamField body="close" type="boolean" required>
  Indicates the action to be taken on the account:

  * `true`: Close the account.
  * `false`: Re-open the account.\
    **Example:** `true`
</ParamField>

***

<ResponseExample>
  ```json
  {
  	"statusCode": 00,
  	"message": "Account successfully closed",
  	"data": {},
  	"errors": []
  }
  ```
</ResponseExample>
